﻿/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var xsd_ciFileName = "componentIndex.html";
var xsd_nsFilterFileName = "nsFilter.html";

function CN (href, name, appendNSFlag, children) {
	this.href = href;
	this.name = name;
	this.appendNSFlag = appendNSFlag;

	this.children = children;
	this.hasChild = (children != null) && (children.length>0);	
	
	this.namespace = null;
}

function C (attributeList, attributeGroupList,
						simpleTypeList, complexTypeList,
						modelGroupList, elementList, 
						notationList) 
{
	this.attributes = attributeList;
	this.attributegroups = attributeGroupList;
	this.simpletypes = simpleTypeList;
	this.complextypes = complexTypeList;
	this.modelgroups = modelGroupList;
	this.elements = elementList;
	this.notations = notationList;
}

function component_showAllComponents() {
	parent._xsdNsFilter = null;
	parent.index.location.href= "xsd/" + xsd_ciFileName;
}

function component_filterComponents () {
	parent._href = "xsd/" + xsd_ciFileName;
	window.open(xsd_nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");

}

function component_groupByNS (flag) {
	parent._groupByNSFlag = flag;
	parent.index.location.href=xsd_ciFileName;	
}

function component_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in componentDB) {
		if (parent._xsdNsFilter == null) {
			if (ns == "http://schemas.xmlsoap.org/soap/encoding/") {
				//NOOP
			} else {
				nsList[i] = ns;
				i++;
			}
		} else {
			nsList[i] = ns; 
			i++;		
		}
	}

	parent._xsdNsFilter = nsList;
}

function component_showComponentsNoNS (nsList, componentList) {

	var components = new Array ();
	var n = 0;

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			components[n] = list[j];
			components[n].namespace = namespace;
			n++;	
		}	
	}
	
	components = components.sort(function (n1,n2) {return n1.name.toLowerCase().localeCompare (n2.name.toLowerCase());});

	component_outputList (null, components);	
}


function component_showComponentsNS (nsList, componentList) {

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			list[j].namespace = namespace;
		}	

		component_outputList (namespace, list);	
	}
}


function component_showComponents (nsList, componentList) {
	if (parent._groupByNSFlag) {
		component_showComponentsNS (nsList, componentList)
	} else {
		component_showComponentsNoNS (nsList, componentList)
	}
}

function component_showAttributes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		attributes [i] = componentDB [nsList[i]].attributes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributes);
}

function component_showAttributeGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributegroups = new Array();
	var nss = new Array();		

	for (var i=0; i<nsList.length; i++) {
		attributegroups [i] = componentDB [nsList[i]].attributegroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributegroups);
}

function component_showSimpleTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var simpletypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		simpletypes [i] = componentDB [nsList[i]].simpletypes;	
		nss [i] = nsList[i];
	}		

	component_showComponents (nss, simpletypes);
}

function component_showComplexTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var complextypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		complextypes [i] = componentDB [nsList[i]].complextypes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, complextypes);
}

function component_showElements() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var elements = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		elements [i] = componentDB [nsList[i]].elements;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, elements);
}

function component_showModelGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var modelgroups = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		modelgroups [i] = componentDB [nsList[i]].modelgroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, modelgroups);
}

function component_showNotations() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var notations = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		notations [i] = componentDB [nsList[i]].notations;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, notations);

}


function component_getNodeText(node) {
	if (node.appendNSFlag) {
		return node.name + "("+encodeURI(node.namespace)+")";
	} else {
		return node.name;
	} 
}

function component_outputLeaf (node) {
	var str = '<span class="leaf">'+
			  '<nobr><img src="img/leaf.gif" hspace="2" align="middle">'+
			  '<a class="chref" href="'+node.href+
			  '" title="'+component_getNodeText(node)+
			  '" target="'+target+'">'+component_getNodeText(node)+'</a></nobr>'+
			  '</span><br />'
	
	document.write (str);
}

function component_outputNonLeaf (node) {
	//initially, the childnodes are hidden

	var str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/plus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+node.href+
			'" title="'+component_getNodeText(node)+
			'" target="'+target+'">'+component_getNodeText(node)+'</a></nobr></div>'+
			'<div style="display:none;margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		component_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function component_outputTree (node) {
	if (node.hasChild == false) {
		component_outputLeaf (node);
	} else {
		component_outputNonLeaf (node);
	}
}

function component_outputList (ns, list) {	
	
	if (list == null || list.length<=0) {
		return;
	}

	if (parent._groupByNSFlag) {
		var fpath = componentNSMap[ns];

		var str = '<div class="nsBox"><div class="itemNS">'+
				'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
				'<a class="chref" href="'+fpath+
				'" title="'+encodeURI(ns)+
				'" target="'+target+'">'+encodeURI(ns)+'</a></nobr></div>'+
				'<div style="margin-left: 0.5em">';

		document.write (str);
	}

	for (var i=0; i<list.length; i++) {
		component_outputTree (list[i]);
	}
	
	if (parent._groupByNSFlag) {
		document.write ('</div></div>');
	}
}


var componentDB = new Array();
var componentNSMap = new Array();

componentDB ["http://www.endeca.com/MDEX/config/XQuery/2009/09"] =  new C (new Array(),
					new Array(),
					new Array(new CN("1/simpletype/select.html","select",false,null),new CN("1/simpletype/sorting.html","sorting",false,null)),
					new Array(new CN("1/complextype/configDocument.html","configDocument",false,null),new CN("1/complextype/configDocumentNames.html","configDocumentNames",false,new Array(new CN("1/element/4.html","configDocumentName",false,null))),new CN("1/complextype/dimensionDescriptionRecords.html","dimensionDescriptionRecords",false,new Array(new CN("1/element/5.html","record",false,null),new CN("1/element/6.html","record/mdex-dimension_Key",false,null),new CN("1/element/7.html","record/mdex-dimension_EnableRefinements",false,null),new CN("1/element/8.html","record/mdex-dimension_IsDimensionSearchHierarchical",false,null),new CN("1/element/9.html","record/mdex-dimension_IsRecordSearchHierarchical",false,null))),new CN("1/complextype/dimensionDescriptionRecordSlices.html","dimensionDescriptionRecordSlices",false,new Array(new CN("1/element/10.html","record",false,null),new CN("1/element/11.html","record/mdex-dimension_EnableRefinements",false,null),new CN("1/element/12.html","record/mdex-dimension_IsDimensionSearchHierarchical",false,null),new CN("1/element/13.html","record/mdex-dimension_IsRecordSearchHierarchical",false,null),new CN("1/element/14.html","record/mdex-dimension_Key",false,null))),new CN("1/complextype/dimensionKeys.html","dimensionKeys",false,new Array(new CN("1/element/15.html","mdex-dimension_Key",false,null))),new CN("1/complextype/globalConfigRecord.html","globalConfigRecord",false,new Array(new CN("1/element/16.html","record",false,null),new CN("1/element/17.html","record/mdex-config_Key",false,null),new CN("1/element/18.html","record/mdex-config_EnableValueSearchWildcard",false,null),new CN("1/element/19.html","record/mdex-config_MergePolicy",false,null),new CN("1/element/20.html","record/mdex-config_SearchChars",false,null),new CN("1/element/21.html","record/mdex-config_SpellingRecordMinWordOccur",false,null),new CN("1/element/22.html","record/mdex-config_SpellingRecordMinWordLength",false,null),new CN("1/element/23.html","record/mdex-config_SpellingRecordMaxWordLength",false,null),new CN("1/element/24.html","record/mdex-config_SpellingDValMinWordOccur",false,null),new CN("1/element/25.html","record/mdex-config_SpellingDValMinWordLength",false,null),new CN("1/element/26.html","record/mdex-config_SpellingDValMaxWordLength",false,null))),new CN("1/complextype/groupDescriptionRecordSlices.html","groupDescriptionRecordSlices",false,new Array(new CN("1/element/27.html","record",false,null),new CN("1/element/28.html","record/system-group_DisplayName",false,null),new CN("1/element/29.html","record/system-group_Key",false,null))),new CN("1/complextype/groups.html","groups",false,new Array(new CN("1/element/30.html","group",false,null),new CN("1/element/31.html","group/mdex-property_Key",false,null))),new CN("1/complextype/groupSummaries.html","groupSummaries",false,new Array(new CN("1/element/32.html","groupSummary",false,null))),new CN("1/complextype/precedenceRules.html","precedenceRules",false,new Array(new CN("1/element/33.html","precedenceRule",false,null))),new CN("1/complextype/propertyDescriptionRecords.html","propertyDescriptionRecords",false,new Array(new CN("1/element/34.html","record",false,null),new CN("1/element/35.html","record/mdex-property_DisplayName",false,null),new CN("1/element/36.html","record/mdex-property_IsSingleAssign",false,null),new CN("1/element/37.html","record/mdex-property_IsTextSearchable",false,null),new CN("1/element/38.html","record/mdex-property_IsUnique",false,null),new CN("1/element/39.html","record/mdex-property_IsPropertyValueSearchable",false,null),new CN("1/element/40.html","record/mdex-property_Key",false,null),new CN("1/element/41.html","record/mdex-property_TextSearchAllowsWildcards",false,null),new CN("1/element/42.html","record/mdex-property_Type",false,null),new CN("1/element/0.html","record/system-navigation_Select",false,null),new CN("1/element/43.html","record/system-navigation_ShowRecordCounts",false,null),new CN("1/element/2.html","record/system-navigation_Sorting",false,null))),new CN("1/complextype/propertyDescriptionRecordSlices.html","propertyDescriptionRecordSlices",false,new Array(new CN("1/element/44.html","record",false,null),new CN("1/element/45.html","record/mdex-property_DisplayName",false,null),new CN("1/element/46.html","record/mdex-property_IsSingleAssign",false,null),new CN("1/element/47.html","record/mdex-property_IsTextSearchable",false,null),new CN("1/element/48.html","record/mdex-property_IsUnique",false,null),new CN("1/element/49.html","record/mdex-property_IsPropertyValueSearchable",false,null),new CN("1/element/50.html","record/mdex-property_TextSearchAllowsWildcards",false,null),new CN("1/element/51.html","record/mdex-property_Type",false,null),new CN("1/element/1.html","record/system-navigation_Select",false,null),new CN("1/element/52.html","record/system-navigation_ShowRecordCounts",false,null),new CN("1/element/3.html","record/system-navigation_Sorting",false,null),new CN("1/element/53.html","record/mdex-property_Key",false,null))),new CN("1/complextype/propertyKeys.html","propertyKeys",false,new Array(new CN("1/element/54.html","mdex-property_Key",false,null)))),
					new Array(),
					new Array(new CN("1/element/configDocument.html","configDocument",false,null),new CN("1/element/configDocumentNames.html","configDocumentNames",false,null),new CN("1/element/configuration.html","configuration",false,null),new CN("1/element/dimensionKeys.html","dimensionKeys",false,null),new CN("1/element/dimensions.html","dimensions",false,null),new CN("1/element/globalConfigRecord.html","globalConfigRecord",false,null),new CN("1/element/groups.html","groups",false,null),new CN("1/element/groupSummaries.html","groupSummaries",false,null),new CN("1/element/precedenceRules.html","precedenceRules",false,null),new CN("1/element/properties.html","properties",false,null),new CN("1/element/propertyKeys.html","propertyKeys",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/config/XQuery/2009/09"] = "1/index.html";
componentDB ["http://www.endeca.com/MDEX/config/services/types/1/0"] =  new C (new Array(),
					new Array(),
					new Array(new CN("2/simpletype/NonEmptyString.html","NonEmptyString",false,null)),
					new Array(new CN("2/complextype/configTransaction.html","configTransaction",false,new Array(new CN("2/element/55.html","OuterTransactionId",false,null))),new CN("2/complextype/results.html","results",false,null)),
					new Array(),
					new Array(new CN("2/element/configTransaction.html","configTransaction",false,null),new CN("2/element/deleteGroups.html","deleteGroups",false,null),new CN("2/element/deletePrecedenceRules.html","deletePrecedenceRules",false,null),new CN("2/element/export.html","export",false,null),new CN("2/element/exportDimensions.html","exportDimensions",false,null),new CN("2/element/exportGroups.html","exportGroups",false,null),new CN("2/element/exportPrecedenceRules.html","exportPrecedenceRules",false,null),new CN("2/element/exportProperties.html","exportProperties",false,null),new CN("2/element/getConfigDocuments.html","getConfigDocuments",false,null),new CN("2/element/getDimensions.html","getDimensions",false,null),new CN("2/element/getGlobalConfigRecord.html","getGlobalConfigRecord",false,null),new CN("2/element/getGroups.html","getGroups",false,null),new CN("2/element/getProperties.html","getProperties",false,null),new CN("2/element/import.html","import",false,null),new CN("2/element/importGroups.html","importGroups",false,null),new CN("2/element/importPrecedenceRules.html","importPrecedenceRules",false,null),new CN("2/element/listConfigDocuments.html","listConfigDocuments",false,null),new CN("2/element/listDimensions.html","listDimensions",false,null),new CN("2/element/listGroups.html","listGroups",false,null),new CN("2/element/listPrecedenceRules.html","listPrecedenceRules",false,null),new CN("2/element/listProperties.html","listProperties",false,null),new CN("2/element/putConfigDocuments.html","putConfigDocuments",false,null),new CN("2/element/putDimensions.html","putDimensions",false,null),new CN("2/element/putGlobalConfigRecord.html","putGlobalConfigRecord",false,null),new CN("2/element/putGroups.html","putGroups",false,null),new CN("2/element/putPrecedenceRules.html","putPrecedenceRules",false,null),new CN("2/element/putProperties.html","putProperties",false,null),new CN("2/element/results.html","results",false,null),new CN("2/element/updateDimensions.html","updateDimensions",false,null),new CN("2/element/updateGroupConfigs.html","updateGroupConfigs",false,null),new CN("2/element/updateProperties.html","updateProperties",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/config/services/types/1/0"] = "2/index.html";
								   


