﻿/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var xsd_ciFileName = "componentIndex.html";
var xsd_nsFilterFileName = "nsFilter.html";

function CN (href, name, appendNSFlag, children) {
	this.href = href;
	this.name = name;
	this.appendNSFlag = appendNSFlag;

	this.children = children;
	this.hasChild = (children != null) && (children.length>0);	
	
	this.namespace = null;
}

function C (attributeList, attributeGroupList,
						simpleTypeList, complexTypeList,
						modelGroupList, elementList, 
						notationList) 
{
	this.attributes = attributeList;
	this.attributegroups = attributeGroupList;
	this.simpletypes = simpleTypeList;
	this.complextypes = complexTypeList;
	this.modelgroups = modelGroupList;
	this.elements = elementList;
	this.notations = notationList;
}

function component_showAllComponents() {
	parent._xsdNsFilter = null;
	parent.index.location.href= "xsd/" + xsd_ciFileName;
}

function component_filterComponents () {
	parent._href = "xsd/" + xsd_ciFileName;
	window.open(xsd_nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");

}

function component_groupByNS (flag) {
	parent._groupByNSFlag = flag;
	parent.index.location.href=xsd_ciFileName;	
}

function component_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in componentDB) {
		if (parent._xsdNsFilter == null) {
			if (ns == "http://schemas.xmlsoap.org/soap/encoding/") {
				//NOOP
			} else {
				nsList[i] = ns;
				i++;
			}
		} else {
			nsList[i] = ns; 
			i++;		
		}
	}

	parent._xsdNsFilter = nsList;
}

function component_showComponentsNoNS (nsList, componentList) {

	var components = new Array ();
	var n = 0;

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			components[n] = list[j];
			components[n].namespace = namespace;
			n++;	
		}	
	}
	
	components = components.sort(function (n1,n2) {return n1.name.toLowerCase().localeCompare (n2.name.toLowerCase());});

	component_outputList (null, components);	
}


function component_showComponentsNS (nsList, componentList) {

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			list[j].namespace = namespace;
		}	

		component_outputList (namespace, list);	
	}
}


function component_showComponents (nsList, componentList) {
	if (parent._groupByNSFlag) {
		component_showComponentsNS (nsList, componentList)
	} else {
		component_showComponentsNoNS (nsList, componentList)
	}
}

function component_showAttributes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		attributes [i] = componentDB [nsList[i]].attributes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributes);
}

function component_showAttributeGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var attributegroups = new Array();
	var nss = new Array();		

	for (var i=0; i<nsList.length; i++) {
		attributegroups [i] = componentDB [nsList[i]].attributegroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributegroups);
}

function component_showSimpleTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var simpletypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		simpletypes [i] = componentDB [nsList[i]].simpletypes;	
		nss [i] = nsList[i];
	}		

	component_showComponents (nss, simpletypes);
}

function component_showComplexTypes() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var complextypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		complextypes [i] = componentDB [nsList[i]].complextypes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, complextypes);
}

function component_showElements() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var elements = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		elements [i] = componentDB [nsList[i]].elements;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, elements);
}

function component_showModelGroups() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var modelgroups = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		modelgroups [i] = componentDB [nsList[i]].modelgroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, modelgroups);
}

function component_showNotations() {
	if (parent._xsdNsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._xsdNsFilter;
	var notations = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		notations [i] = componentDB [nsList[i]].notations;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, notations);

}


function component_getNodeText(node) {
	if (node.appendNSFlag) {
		return node.name + "("+encodeURI(node.namespace)+")";
	} else {
		return node.name;
	} 
}

function component_outputLeaf (node) {
	var str = '<span class="leaf">'+
			  '<nobr><img src="img/leaf.gif" hspace="2" align="middle">'+
			  '<a class="chref" href="'+node.href+
			  '" title="'+component_getNodeText(node)+
			  '" target="'+target+'">'+component_getNodeText(node)+'</a></nobr>'+
			  '</span><br />'
	
	document.write (str);
}

function component_outputNonLeaf (node) {
	//initially, the childnodes are hidden

	var str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/plus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+node.href+
			'" title="'+component_getNodeText(node)+
			'" target="'+target+'">'+component_getNodeText(node)+'</a></nobr></div>'+
			'<div style="display:none;margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		component_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function component_outputTree (node) {
	if (node.hasChild == false) {
		component_outputLeaf (node);
	} else {
		component_outputNonLeaf (node);
	}
}

function component_outputList (ns, list) {	
	
	if (list == null || list.length<=0) {
		return;
	}

	if (parent._groupByNSFlag) {
		var fpath = componentNSMap[ns];

		var str = '<div class="nsBox"><div class="itemNS">'+
				'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
				'<a class="chref" href="'+fpath+
				'" title="'+encodeURI(ns)+
				'" target="'+target+'">'+encodeURI(ns)+'</a></nobr></div>'+
				'<div style="margin-left: 0.5em">';

		document.write (str);
	}

	for (var i=0; i<list.length; i++) {
		component_outputTree (list[i]);
	}
	
	if (parent._groupByNSFlag) {
		document.write ('</div></div>');
	}
}


var componentDB = new Array();
var componentNSMap = new Array();

componentDB ["http://www.endeca.com/MDEX/conversation/1/0"] =  new C (new Array(),
					new Array(),
					new Array(new CN("2/simpletype/MultiSelect.html","MultiSelect",false,null),new CN("2/simpletype/NonEmptyString.html","NonEmptyString",false,null),new CN("2/simpletype/RecordKind.html","RecordKind",false,null),new CN("2/simpletype/SearchMode.html","SearchMode",false,null),new CN("2/simpletype/SortDirection.html","SortDirection",false,null)),
					new Array(new CN("2/complextype/Analytics.html","Analytics",false,new Array(new CN("2/element/80.html","ResultRecords",false,null))),new CN("2/complextype/AnalyticsConfig.html","AnalyticsConfig",false,new Array(new CN("2/element/62.html","Query",false,null))),new CN("2/complextype/AppliedSearchAdjustment.html","AppliedSearchAdjustment",false,new Array(new CN("2/element/84.html","SearchFilter",false,null),new CN("2/element/63.html","AdjustedTerms",false,null))),new CN("2/complextype/ApplySpellingSuggestionOperator.html","ApplySpellingSuggestionOperator",false,new Array(new CN("2/element/86.html","SearchFilter",false,null),new CN("2/element/64.html","Replacement",false,null))),new CN("2/complextype/AttributeGroupList.html","AttributeGroupList",false,new Array(new CN("2/element/87.html","GroupSummary",false,null))),new CN("2/complextype/AttributeGroupListConfig.html","AttributeGroupListConfig",false,null),new CN("2/complextype/AttributeMetadata.html","AttributeMetadata",false,null),new CN("2/complextype/AvailableSearchKey.html","AvailableSearchKey",false,new Array(new CN("2/element/90.html","Key",false,null),new CN("2/element/91.html","DisplayName",false,null))),new CN("2/complextype/AvailableSearchKeys.html","AvailableSearchKeys",false,new Array(new CN("2/element/92.html","AvailableSearchKey",false,null))),new CN("2/complextype/AvailableSearchKeysConfig.html","AvailableSearchKeysConfig",false,null),new CN("2/complextype/Bound.html","Bound",false,null),new CN("2/complextype/BreadcrumbConfig.html","BreadcrumbConfig",false,null),new CN("2/complextype/Breadcrumbs.html","Breadcrumbs",false,new Array(new CN("2/element/95.html","RefinementBreadcrumb",false,null),new CN("2/element/96.html","SearchBreadcrumb",false,null),new CN("2/element/97.html","RangeFilterBreadcrumb",false,null))),new CN("2/complextype/CatchAll.html","CatchAll",false,null),new CN("2/complextype/ClearOperator.html","ClearOperator",false,null),new CN("2/complextype/ColumnMetadata.html","ColumnMetadata",false,null),new CN("2/complextype/ComputedProperties.html","ComputedProperties",false,new Array(new CN("2/element/107.html","SearchSnippets",false,null))),new CN("2/complextype/ContentElement.html","ContentElement",false,null),new CN("2/complextype/ContentElementConfig.html","ContentElementConfig",false,null),new CN("2/complextype/Control.html","Control",false,new Array(new CN("2/element/112.html","Operator",false,null))),new CN("2/complextype/DataSourceFilterOperator.html","DataSourceFilterOperator",false,new Array(new CN("2/element/57.html","DataSourceFilter",false,null),new CN("2/element/65.html","DataSourceFilterString",false,null))),new CN("2/complextype/DimensionHierarchy.html","DimensionHierarchy",false,new Array(new CN("2/element/114.html","DimensionValueWithPath",false,null))),new CN("2/complextype/DimensionValue.html","DimensionValue",false,null),new CN("2/complextype/DimensionValueWithName.html","DimensionValueWithName",false,null),new CN("2/complextype/DimensionValueWithOperator.html","DimensionValueWithOperator",false,new Array(new CN("2/element/118.html","DimensionValue",false,null),new CN("2/element/120.html","Operator",false,null))),new CN("2/complextype/DimensionValueWithPath.html","DimensionValueWithPath",false,new Array(new CN("2/element/117.html","DimensionValue",false,null))),new CN("2/complextype/ExposureControl.html","ExposureControl",false,new Array(new CN("2/element/122.html","Operator",false,null))),new CN("2/complextype/GeneralizationOperator.html","GeneralizationOperator",false,null),new CN("2/complextype/GeocodeReferencePoint.html","GeocodeReferencePoint",false,null),new CN("2/complextype/GroupMembers.html","GroupMembers",false,new Array(new CN("2/element/125.html","mdex-property_Key",false,null))),new CN("2/complextype/GroupSummary.html","GroupSummary",false,new Array(new CN("2/element/88.html","Record",false,null),new CN("2/element/89.html","GroupMembers",false,null))),new CN("2/complextype/LQL.html","LQL",false,new Array(new CN("2/element/126.html","ResultRecords",false,null))),new CN("2/complextype/LQLConfig.html","LQLConfig",false,new Array(new CN("2/element/52.html","LQLQuery",false,null),new CN("2/element/66.html","LQLQueryString",false,null))),new CN("2/complextype/Match.html","Match",false,new Array(new CN("2/element/127.html","MatchingValue",false,null),new CN("2/element/128.html","FullPath",false,null))),new CN("2/complextype/NavigationMenu.html","NavigationMenu",false,new Array(new CN("2/element/130.html","NavigationMenuItemGroup",false,null),new CN("2/element/131.html","NavigationMenuItem",false,null))),new CN("2/complextype/NavigationMenuConfig.html","NavigationMenuConfig",false,new Array(new CN("2/element/135.html","RefinementGroupConfig",false,null),new CN("2/element/136.html","RefinementConfig",false,null))),new CN("2/complextype/NavigationMenuItem.html","NavigationMenuItem",false,new Array(new CN("2/element/123.html","ExposureControl",false,null),new CN("2/element/133.html","Refinement",false,null),new CN("2/element/119.html","RootDimensionValue",false,null),new CN("2/element/134.html","FullPath",false,null))),new CN("2/complextype/NavigationMenuItemGroup.html","NavigationMenuItemGroup",false,new Array(new CN("2/element/132.html","NavigationMenuItem",false,null))),new CN("2/complextype/Operator.html","Operator",false,null),new CN("2/complextype/PageOperator.html","PageOperator",false,null),new CN("2/complextype/Path.html","Path",false,new Array(new CN("2/element/121.html","DimensionValue",false,null))),new CN("2/complextype/PopDataSourceFilterOperator.html","PopDataSourceFilterOperator",false,null),new CN("2/complextype/PopRangeFilterOperator.html","PopRangeFilterOperator",false,new Array(new CN("2/element/142.html","RangeFilter",false,null))),new CN("2/complextype/PopRecordFilterOperator.html","PopRecordFilterOperator",false,null),new CN("2/complextype/PopRecordKindOperator.html","PopRecordKindOperator",false,null),new CN("2/complextype/PopSearchOperator.html","PopSearchOperator",false,new Array(new CN("2/element/143.html","SearchFilter",false,null))),new CN("2/complextype/PopSelectionFilterOperator.html","PopSelectionFilterOperator",false,null),new CN("2/complextype/PrivateOperator.html","PrivateOperator",false,null),new CN("2/complextype/Property.html","Property",false,new Array(new CN("2/element/144.html","PropertyRecord",false,null),new CN("2/element/145.html","DimensionRecord",false,null))),new CN("2/complextype/PropertyList.html","PropertyList",false,new Array(new CN("2/element/146.html","Property",false,null))),new CN("2/complextype/PropertyListConfig.html","PropertyListConfig",false,null),new CN("2/complextype/PropertyMatches.html","PropertyMatches",false,new Array(new CN("2/element/129.html","Match",false,null))),new CN("2/complextype/PropertyRestrictionList.html","PropertyRestrictionList",false,new Array(new CN("2/element/67.html","Property",false,null))),new CN("2/complextype/RangeFilter.html","RangeFilter",false,new Array(new CN("2/element/93.html","LowerBound",false,null),new CN("2/element/94.html","UpperBound",false,null),new CN("2/element/124.html","GeocodeReferencePoint",false,null))),new CN("2/complextype/RangeFilterBreadcrumb.html","RangeFilterBreadcrumb",false,new Array(new CN("2/element/102.html","RangeFilter",false,null),new CN("2/element/103.html","Operator",false,null))),new CN("2/complextype/RangeFilterOperator.html","RangeFilterOperator",false,new Array(new CN("2/element/149.html","RangeFilter",false,null))),new CN("2/complextype/Record.html","Record",false,null),new CN("2/complextype/RecordCount.html","RecordCount",false,new Array(new CN("2/element/153.html","NumRecords",false,null))),new CN("2/complextype/RecordCountConfig.html","RecordCountConfig",false,null),new CN("2/complextype/RecordDetails.html","RecordDetails",false,new Array(new CN("2/element/106.html","Column",false,null),new CN("2/element/151.html","Record",false,null),new CN("2/element/115.html","DimensionHierarchy",false,null))),new CN("2/complextype/RecordDetailsConfig.html","RecordDetailsConfig",false,new Array(new CN("2/element/154.html","RecordSelector",false,null),new CN("2/element/68.html","Column",false,null))),new CN("2/complextype/RecordFilter.html","RecordFilter",false,null),new CN("2/complextype/RecordFilterOperator.html","RecordFilterOperator",false,new Array(new CN("2/element/155.html","RecordFilter",false,null))),new CN("2/complextype/RecordKindOperator.html","RecordKindOperator",false,new Array(new CN("2/element/78.html","RecordKind",false,null))),new CN("2/complextype/RecordList.html","RecordList",false,new Array(new CN("2/element/157.html","NumRecords",false,null),new CN("2/element/158.html","TotalPages",false,null),new CN("2/element/159.html","Column",false,null),new CN("2/element/160.html","RecordRange",false,null),new CN("2/element/116.html","DimensionHierarchy",false,null),new CN("2/element/161.html","RecordListEntry",false,null),new CN("2/element/113.html","PaginationControl",false,null))),new CN("2/complextype/RecordListColumnMetadata.html","RecordListColumnMetadata",false,new Array(new CN("2/element/162.html","SortControl",false,null))),new CN("2/complextype/RecordListConfig.html","RecordListConfig",false,new Array(new CN("2/element/69.html","Column",false,null),new CN("2/element/163.html","RecordsPerPage",false,null),new CN("2/element/164.html","Page",false,null),new CN("2/element/165.html","Sort",false,null))),new CN("2/complextype/RecordListEntry.html","RecordListEntry",false,new Array(new CN("2/element/152.html","Record",false,null),new CN("2/element/108.html","ComputedProperties",false,null))),new CN("2/complextype/RecordRange.html","RecordRange",false,null),new CN("2/complextype/RecordSelector.html","RecordSelector",false,null),new CN("2/complextype/Refinement.html","Refinement",false,new Array(new CN("2/element/138.html","Operator",false,null))),new CN("2/complextype/RefinementBreadcrumb.html","RefinementBreadcrumb",false,new Array(new CN("2/element/98.html","DimensionValue",false,null),new CN("2/element/99.html","Operator",false,null))),new CN("2/complextype/RefinementConfig.html","RefinementConfig",false,null),new CN("2/complextype/RefinementExposeOperator.html","RefinementExposeOperator",false,null),new CN("2/complextype/RefinementGroupConfig.html","RefinementGroupConfig",false,new Array(new CN("2/element/137.html","RefinementConfig",false,null))),new CN("2/complextype/RefinementHideOperator.html","RefinementHideOperator",false,null),new CN("2/complextype/RefinementOperator.html","RefinementOperator",false,null),new CN("2/complextype/Request.html","Request",false,new Array(new CN("2/element/70.html","OuterTransactionId",false,null),new CN("2/element/166.html","State",false,null),new CN("2/element/139.html","Operator",false,null),new CN("2/element/111.html","ContentElementConfig",false,null),new CN("2/element/104.html","PassThrough",false,null))),new CN("2/complextype/ResultRecords.html","ResultRecords",false,new Array(new CN("2/element/81.html","DimensionHierarchy",false,null),new CN("2/element/82.html","AttributeMetadata",false,null),new CN("2/element/83.html","Record",false,null))),new CN("2/complextype/Results.html","Results",false,new Array(new CN("2/element/167.html","Request",false,null),new CN("2/element/110.html","ContentElement",false,null),new CN("2/element/105.html","PassThrough",false,null))),new CN("2/complextype/ResultValue.html","ResultValue",false,null),new CN("2/complextype/SearchAdjustmentConfig.html","SearchAdjustmentConfig",false,null),new CN("2/complextype/SearchAdjustments.html","SearchAdjustments",false,new Array(new CN("2/element/85.html","AppliedAdjustment",false,null),new CN("2/element/170.html","SuggestedAdjustment",false,null))),new CN("2/complextype/SearchBreadcrumb.html","SearchBreadcrumb",false,new Array(new CN("2/element/100.html","SearchFilter",false,null),new CN("2/element/101.html","Operator",false,null))),new CN("2/complextype/SearchFilter.html","SearchFilter",false,null),new CN("2/complextype/SearchOperator.html","SearchOperator",false,new Array(new CN("2/element/172.html","SearchFilter",false,null))),new CN("2/complextype/SearchSnippet.html","SearchSnippet",false,new Array(new CN("2/element/72.html","SnippetText",false,null),new CN("2/element/71.html","SnippetTerm",false,null))),new CN("2/complextype/SearchSnippets.html","SearchSnippets",false,new Array(new CN("2/element/109.html","SearchSnippet",false,null))),new CN("2/complextype/SelectedRefinementFilter.html","SelectedRefinementFilter",false,null),new CN("2/complextype/SelectionFilterOperator.html","SelectionFilterOperator",false,new Array(new CN("2/element/58.html","SelectionFilter",false,null),new CN("2/element/73.html","SelectionFilterString",false,null))),new CN("2/complextype/SelectRecordOperator.html","SelectRecordOperator",false,null),new CN("2/complextype/Sort.html","Sort",false,null),new CN("2/complextype/SortControl.html","SortControl",false,new Array(new CN("2/element/140.html","Operator",false,null))),new CN("2/complextype/SortOperator.html","SortOperator",false,null),new CN("2/complextype/State.html","State",false,new Array(new CN("2/element/168.html","SelectedRefinementFilter",false,null),new CN("2/element/169.html","SearchFilter",false,null),new CN("2/element/156.html","RecordFilter",false,null),new CN("2/element/79.html","RecordKind",false,null),new CN("2/element/59.html","DataSourceFilter",false,null),new CN("2/element/74.html","DataSourceFilterString",false,null),new CN("2/element/60.html","SelectionFilter",false,null),new CN("2/element/75.html","SelectionFilterString",false,null),new CN("2/element/150.html","RangeFilter",false,null))),new CN("2/complextype/SuggestedSearchAdjustment.html","SuggestedSearchAdjustment",false,new Array(new CN("2/element/171.html","SearchFilter",false,null),new CN("2/element/76.html","SuggestedTerms",false,null),new CN("2/element/141.html","Operator",false,null))),new CN("2/complextype/ValueSearch.html","ValueSearch",false,new Array(new CN("2/element/147.html","PropertyMatches",false,null))),new CN("2/complextype/ValueSearchConfig.html","ValueSearchConfig",false,new Array(new CN("2/element/77.html","SearchTerm",false,null),new CN("2/element/148.html","RestrictToProperties",false,null)))),
					new Array(),
					new Array(new CN("2/element/Fault.html","Fault",false,null),new CN("2/element/Request.html","Request",false,null),new CN("2/element/Results.html","Results",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/conversation/1/0"] = "2/index.html";
componentDB ["http://www.endeca.com/MDEX/lql_parser/types"] =  new C (new Array(),
					new Array(),
					new Array(),
					new Array(new CN("1/complextype/AdditiveExpression.html","AdditiveExpression",false,new Array(new CN("1/element/0.html","leftOperand",false,null),new CN("1/element/1.html","rightOperand",false,null))),new CN("1/complextype/AndExpression.html","AndExpression",false,new Array(new CN("1/element/2.html","leftOperand",false,null),new CN("1/element/3.html","rightOperand",false,null))),new CN("1/complextype/AttributeRefExpression.html","AttributeRefExpression",false,new Array(new CN("1/element/4.html","statementQualifier",false,null))),new CN("1/complextype/BetweenExpression.html","BetweenExpression",false,new Array(new CN("1/element/5.html","operand",false,null),new CN("1/element/6.html","lowerBoundNotStrict",false,null),new CN("1/element/7.html","upperBoundStrict",false,null))),new CN("1/complextype/BooleanLiteral.html","BooleanLiteral",false,null),new CN("1/complextype/CaseClause.html","CaseClause",false,new Array(new CN("1/element/8.html","condition",false,null),new CN("1/element/9.html","consequent",false,null))),new CN("1/complextype/CaseExpression.html","CaseExpression",false,new Array(new CN("1/element/10.html","clauses",false,null),new CN("1/element/11.html","elseClause",false,null))),new CN("1/complextype/ComparisonExpression.html","ComparisonExpression",false,new Array(new CN("1/element/13.html","leftOperand",false,null),new CN("1/element/14.html","rightOperand",false,null))),new CN("1/complextype/ConstantKeyword.html","ConstantKeyword",false,null),new CN("1/complextype/CrossJoin.html","CrossJoin",false,new Array(new CN("1/element/15.html","leftChild",false,null),new CN("1/element/16.html","rightChild",false,null))),new CN("1/complextype/Depth.html","Depth",false,null),new CN("1/complextype/Direction.html","Direction",false,null),new CN("1/complextype/DoubleLiteral.html","DoubleLiteral",false,null),new CN("1/complextype/ElseClause.html","ElseClause",false,new Array(new CN("1/element/12.html","consequent",false,null))),new CN("1/complextype/ExpressionBase.html","ExpressionBase",false,null),new CN("1/complextype/From.html","From",false,new Array(new CN("1/element/36.html","source",false,null))),new CN("1/complextype/FullJoin.html","FullJoin",false,new Array(new CN("1/element/38.html","leftChild",false,null),new CN("1/element/39.html","rightChild",false,null),new CN("1/element/19.html","condition",false,null))),new CN("1/complextype/FunctionCallExpression.html","FunctionCallExpression",false,new Array(new CN("1/element/20.html","arguments",false,null),new CN("1/element/40.html","where",false,null))),new CN("1/complextype/GroupAll.html","GroupAll",false,null),new CN("1/complextype/GroupBase.html","GroupBase",false,null),new CN("1/complextype/GroupBy.html","GroupBy",false,new Array(new CN("1/element/17.html","depth",false,null))),new CN("1/complextype/GroupByList.html","GroupByList",false,new Array(new CN("1/element/42.html","groupBys",false,null))),new CN("1/complextype/Having.html","Having",false,new Array(new CN("1/element/21.html","filter",false,null))),new CN("1/complextype/InExpression.html","InExpression",false,new Array(new CN("1/element/22.html","lookupValues",false,null))),new CN("1/complextype/InnerJoin.html","InnerJoin",false,new Array(new CN("1/element/44.html","leftChild",false,null),new CN("1/element/45.html","rightChild",false,null),new CN("1/element/23.html","condition",false,null))),new CN("1/complextype/IntegerLiteral.html","IntegerLiteral",false,null),new CN("1/complextype/LeftJoin.html","LeftJoin",false,new Array(new CN("1/element/46.html","leftChild",false,null),new CN("1/element/47.html","rightChild",false,null),new CN("1/element/24.html","condition",false,null))),new CN("1/complextype/LookupExpression.html","LookupExpression",false,new Array(new CN("1/element/25.html","lookupValues",false,null))),new CN("1/complextype/MetaVariable.html","MetaVariable",false,null),new CN("1/complextype/MultiplicativeExpression.html","MultiplicativeExpression",false,new Array(new CN("1/element/26.html","leftOperand",false,null),new CN("1/element/27.html","rightOperand",false,null))),new CN("1/complextype/Node.html","Node",false,null),new CN("1/complextype/NotExpression.html","NotExpression",false,new Array(new CN("1/element/28.html","operand",false,null))),new CN("1/complextype/NullnessExpression.html","NullnessExpression",false,new Array(new CN("1/element/29.html","operand",false,null))),new CN("1/complextype/OrderBy.html","OrderBy",false,new Array(new CN("1/element/18.html","direction",false,null))),new CN("1/complextype/OrderByList.html","OrderByList",false,new Array(new CN("1/element/48.html","orderBys",false,null))),new CN("1/complextype/OrExpression.html","OrExpression",false,new Array(new CN("1/element/30.html","leftOperand",false,null),new CN("1/element/31.html","rightOperand",false,null))),new CN("1/complextype/PageBase.html","PageBase",false,null),new CN("1/complextype/Paging.html","Paging",false,null),new CN("1/complextype/PagingPercent.html","PagingPercent",false,null),new CN("1/complextype/Query.html","Query",false,new Array(new CN("1/element/51.html","statements",false,null))),new CN("1/complextype/RightJoin.html","RightJoin",false,new Array(new CN("1/element/55.html","leftChild",false,null),new CN("1/element/56.html","rightChild",false,null),new CN("1/element/32.html","condition",false,null))),new CN("1/complextype/Select.html","Select",false,new Array(new CN("1/element/33.html","expression",false,null))),new CN("1/complextype/SourceBase.html","SourceBase",false,null),new CN("1/complextype/StandaloneFilter.html","StandaloneFilter",false,new Array(new CN("1/element/34.html","filter",false,null))),new CN("1/complextype/Statement.html","Statement",false,new Array(new CN("1/element/53.html","selects",false,null),new CN("1/element/37.html","from",false,null),new CN("1/element/54.html","where",false,null),new CN("1/element/41.html","group",false,null),new CN("1/element/43.html","having",false,null),new CN("1/element/49.html","order",false,null),new CN("1/element/50.html","paging",false,null))),new CN("1/complextype/StatementAlias.html","StatementAlias",false,null),new CN("1/complextype/StatementQualifier.html","StatementQualifier",false,null),new CN("1/complextype/StatementSource.html","StatementSource",false,new Array(new CN("1/element/61.html","alias",false,null))),new CN("1/complextype/StringLiteral.html","StringLiteral",false,null),new CN("1/complextype/Where.html","Where",false,new Array(new CN("1/element/35.html","filter",false,null)))),
					new Array(),
					new Array(new CN("1/element/queryWrapper.html","queryWrapper",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/lql_parser/types"] = "1/index.html";
								   


