﻿/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var xsd_tiFileName = "typeTreeIndex.html";
var xsd_nsFilterFileName = "nsFilter.html";

function TN (href, prefix, ns, name, relation, simpletypeflag, children) {
	this.href = href;
	this.prefix = prefix;
	this.namespace = ns;
	this.name = name;
	this.relation = relation;
	this.simpletypeflag = simpletypeflag;
	this.children = children;

	this.hasChild = (children != null) && (children.length>0);	
}

function T (typeTree)
{
	this.typeTree = typeTree;
}

function typetree_showAllTypes() {
	parent._xsdNsFilter = null;
	parent.index.location.href= "xsd/" + xsd_tiFileName;
}

function typetree_filterTypes () {
	parent._href = "xsd/" + xsd_tiFileName;
	window.open(xsd_nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");
}

function typetree_showTypes() {
	if (parent._xsdNsFilter == null) {
		typetree_setFilterToAll();
	}

	var nsList = parent._xsdNsFilter;
	var typetrees = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		typetrees [i] = typetreeDB [nsList[i]];	
		nss[i] = nsList[i];
	}		
	
	typetree_showTree (nss, typetrees); 
}

function typetree_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in typetreeDB) {
		if (parent._xsdNsFilter == null) {
			if (ns == "http://schemas.xmlsoap.org/soap/encoding/") {
				//NOOP
			} else {
				nsList[i] = ns;
				i++;
			}
		} else {
			nsList[i] = ns; 
			i++;		
		}
	}


	parent._xsdNsFilter = nsList;
}


function typetree_showTree (nsList, typetrees) {
	for (var i=0; i<nsList.length; i++) {
		var fpath = typetreeNSMap[nsList[i]];
		
		var str = '<div class="nsBox"><div class="itemNS">'+
			'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+fpath+
			'" title="'+encodeURI(nsList[i])+
			'" target="'+target+'">'+encodeURI(nsList[i])+'</a></nobr></div>'+
			'<div style="margin-left: 0.5em">';		

		document.write (str);

		typetree_outputList (typetrees[i].typeTree);
		

		document.write ('</div></div>');
	}
} 

function typetree_outputList (list) {
	for (var i=0; i<list.length; i++) {
		typetree_outputTree (list[i]);
	}
}

function typetree_outputTree (node) {
	if (node.hasChild == false) {
		typetree_outputLeaf (node);
	} else {
		typetree_outputNonLeaf (node);
	}
}


function typetree_outputLeaf (node) {
	var str = null;
	var nodeStr = null;

	if (node.prefix.length>0) {
		nodeStr = prefixedAnchorString(node)
	} else {
		nodeStr = anchorString (node)
	}

	str = '<span class="leaf"><nobr>' +
		  '<img src="img/leaf.gif" hspace="2" align="middle">' + 
		  nodeStr + '</nobr></span><br />';

	document.write (str);
}

function prefixedAnchorString (node) {
	return  '<a class="chref" href="'+node.href+
			'" target="'+target+ '"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+
			node.prefix+':'+'</a>'+
			'<a class="chref" href="'+node.href+'" target="'+target+ '"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+ node.name +
			'</a>'+typetree_getNodeIcon(node);
}

function anchorString (node) {
	return 	'<a class="chref" href="'+node.href+'" target="'+target+'"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+ node.name +
			'</a>'+typetree_getNodeIcon(node);

}

function typetree_outputNonLeaf (node) {
	var str = null;
	var nodeStr = null;

	if (node.prefix.length>0) {
		nodeStr = prefixedAnchorString(node);
	} else {
		nodeStr = anchorString (node);
	}
		
	str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			nodeStr +
			'</nobr></div>'+
			'<div style="margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		typetree_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function typetree_getNodeIcon(node) {
	var rStr = null;
	if (node.relation == "none") {
		rStr = "";
	} else if (node.relation == "extension") {
		rStr = '<img alt="derived by extension" border="0" hspace="2" align="middle" src="img/extension.gif">';
	
	} else if (node.relation == "restriction") {
		rStr = '<img alt="derived by restriction" border="0" hspace="2" align="middle" src="img/restriction.gif">';
	
	} else if (node.relation == "list") {
		rStr = '<img alt="derived by list" border="0" hspace="2" align="middle" src="img/list.gif">';
	
	} else if (node.relation == "union") {
		rStr = '<img alt="derived by union" border="0" hspace="2" align="middle" src="img/union.gif">';
	
	}
	
	var typeStr = null;
	
	if (node.simpletypeflag) {
		typeStr = '<img alt="simple type" border="0" hspace="2" align="middle" src="img/simple.gif">'; 
	} else {
		typeStr = '<img alt="complex type" border="0" hspace="2" align="middle" src="img/complex.gif">';	
	} 

	return typeStr + rStr;
}

var typetreeDB = new Array();
var typetreeNSMap = new Array();

typetreeDB ["http://www.endeca.com/MDEX/conversation/1/0"] =  new T (new Array (new TN("2/complextype/AppliedSearchAdjustment.html","","http://www.endeca.com/MDEX/conversation/1/0","AppliedSearchAdjustment","none",false,null),new TN("2/complextype/AttributeMetadata.html","","http://www.endeca.com/MDEX/conversation/1/0","AttributeMetadata","none",false,null),new TN("2/complextype/AvailableSearchKey.html","","http://www.endeca.com/MDEX/conversation/1/0","AvailableSearchKey","none",false,null),new TN("2/complextype/CatchAll.html","","http://www.endeca.com/MDEX/conversation/1/0","CatchAll","none",false,null),new TN("2/complextype/ColumnMetadata.html","","http://www.endeca.com/MDEX/conversation/1/0","ColumnMetadata","none",false,new Array(new TN("2/complextype/RecordListColumnMetadata.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordListColumnMetadata","restriction",false,null))),new TN("2/complextype/ComputedProperties.html","","http://www.endeca.com/MDEX/conversation/1/0","ComputedProperties","none",false,null),new TN("2/complextype/ContentElement.html","cs_v1_0","http://www.endeca.com/MDEX/conversation/1/0","ContentElement","none",false,new Array(new TN("2/complextype/Analytics.html","","http://www.endeca.com/MDEX/conversation/1/0","Analytics","extension",false,null),new TN("2/complextype/AttributeGroupList.html","","http://www.endeca.com/MDEX/conversation/1/0","AttributeGroupList","extension",false,null),new TN("2/complextype/AvailableSearchKeys.html","","http://www.endeca.com/MDEX/conversation/1/0","AvailableSearchKeys","extension",false,null),new TN("2/complextype/Breadcrumbs.html","","http://www.endeca.com/MDEX/conversation/1/0","Breadcrumbs","extension",false,null),new TN("2/complextype/LQL.html","","http://www.endeca.com/MDEX/conversation/1/0","LQL","restriction",false,null),new TN("2/complextype/NavigationMenu.html","","http://www.endeca.com/MDEX/conversation/1/0","NavigationMenu","restriction",false,null),new TN("2/complextype/PropertyList.html","","http://www.endeca.com/MDEX/conversation/1/0","PropertyList","restriction",false,null),new TN("2/complextype/RecordCount.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordCount","restriction",false,null),new TN("2/complextype/RecordDetails.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordDetails","restriction",false,null),new TN("2/complextype/RecordList.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordList","restriction",false,null),new TN("2/complextype/SearchAdjustments.html","","http://www.endeca.com/MDEX/conversation/1/0","SearchAdjustments","restriction",false,null),new TN("2/complextype/ValueSearch.html","","http://www.endeca.com/MDEX/conversation/1/0","ValueSearch","restriction",false,null))),new TN("2/complextype/ContentElementConfig.html","cs_v1_0","http://www.endeca.com/MDEX/conversation/1/0","ContentElementConfig","none",false,new Array(new TN("2/complextype/AnalyticsConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","AnalyticsConfig","extension",false,null),new TN("2/complextype/AttributeGroupListConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","AttributeGroupListConfig","extension",false,null),new TN("2/complextype/AvailableSearchKeysConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","AvailableSearchKeysConfig","extension",false,null),new TN("2/complextype/BreadcrumbConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","BreadcrumbConfig","extension",false,null),new TN("2/complextype/LQLConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","LQLConfig","restriction",false,null),new TN("2/complextype/NavigationMenuConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","NavigationMenuConfig","restriction",false,null),new TN("2/complextype/PropertyListConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","PropertyListConfig","restriction",false,null),new TN("2/complextype/RecordCountConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordCountConfig","restriction",false,null),new TN("2/complextype/RecordDetailsConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordDetailsConfig","restriction",false,null),new TN("2/complextype/RecordListConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordListConfig","restriction",false,null),new TN("2/complextype/SearchAdjustmentConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","SearchAdjustmentConfig","restriction",false,null),new TN("2/complextype/ValueSearchConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","ValueSearchConfig","restriction",false,null))),new TN("2/complextype/Control.html","","http://www.endeca.com/MDEX/conversation/1/0","Control","none",false,null),new TN("2/complextype/DimensionHierarchy.html","","http://www.endeca.com/MDEX/conversation/1/0","DimensionHierarchy","none",false,null),new TN("2/complextype/DimensionValueWithOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","DimensionValueWithOperator","none",false,null),new TN("2/complextype/DimensionValueWithPath.html","","http://www.endeca.com/MDEX/conversation/1/0","DimensionValueWithPath","none",false,null),new TN("2/complextype/ExposureControl.html","","http://www.endeca.com/MDEX/conversation/1/0","ExposureControl","none",false,null),new TN("2/complextype/GeocodeReferencePoint.html","","http://www.endeca.com/MDEX/conversation/1/0","GeocodeReferencePoint","none",false,null),new TN("2/complextype/GroupMembers.html","","http://www.endeca.com/MDEX/conversation/1/0","GroupMembers","none",false,null),new TN("2/complextype/GroupSummary.html","","http://www.endeca.com/MDEX/conversation/1/0","GroupSummary","none",false,null),new TN("2/complextype/Match.html","","http://www.endeca.com/MDEX/conversation/1/0","Match","none",false,null),new TN("2/complextype/NavigationMenuItem.html","","http://www.endeca.com/MDEX/conversation/1/0","NavigationMenuItem","none",false,null),new TN("2/complextype/NavigationMenuItemGroup.html","","http://www.endeca.com/MDEX/conversation/1/0","NavigationMenuItemGroup","none",false,null),new TN("2/complextype/Operator.html","cs_v1_0","http://www.endeca.com/MDEX/conversation/1/0","Operator","none",false,new Array(new TN("2/complextype/ApplySpellingSuggestionOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","ApplySpellingSuggestionOperator","extension",false,null),new TN("2/complextype/ClearOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","ClearOperator","extension",false,null),new TN("2/complextype/DataSourceFilterOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","DataSourceFilterOperator","extension",false,null),new TN("2/complextype/GeneralizationOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","GeneralizationOperator","extension",false,null),new TN("2/complextype/PopDataSourceFilterOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","PopDataSourceFilterOperator","restriction",false,null),new TN("2/complextype/PopRangeFilterOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","PopRangeFilterOperator","restriction",false,null),new TN("2/complextype/PopRecordFilterOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","PopRecordFilterOperator","restriction",false,null),new TN("2/complextype/PopRecordKindOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","PopRecordKindOperator","restriction",false,null),new TN("2/complextype/PopSearchOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","PopSearchOperator","restriction",false,null),new TN("2/complextype/PopSelectionFilterOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","PopSelectionFilterOperator","restriction",false,null),new TN("2/complextype/PrivateOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","PrivateOperator","restriction",false,new Array(new TN("2/complextype/PageOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","PageOperator","extension",false,null),new TN("2/complextype/RefinementExposeOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","RefinementExposeOperator","extension",false,null),new TN("2/complextype/RefinementHideOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","RefinementHideOperator","extension",false,null),new TN("2/complextype/SelectRecordOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","SelectRecordOperator","extension",false,null),new TN("2/complextype/SortOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","SortOperator","extension",false,null))),new TN("2/complextype/RangeFilterOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","RangeFilterOperator","restriction",false,null),new TN("2/complextype/RecordFilterOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordFilterOperator","restriction",false,null),new TN("2/complextype/RecordKindOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordKindOperator","restriction",false,null),new TN("2/complextype/RefinementOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","RefinementOperator","restriction",false,null),new TN("2/complextype/SearchOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","SearchOperator","restriction",false,null),new TN("2/complextype/SelectionFilterOperator.html","","http://www.endeca.com/MDEX/conversation/1/0","SelectionFilterOperator","restriction",false,null))),new TN("2/complextype/Path.html","","http://www.endeca.com/MDEX/conversation/1/0","Path","none",false,null),new TN("2/complextype/Property.html","","http://www.endeca.com/MDEX/conversation/1/0","Property","none",false,null),new TN("2/complextype/PropertyMatches.html","","http://www.endeca.com/MDEX/conversation/1/0","PropertyMatches","none",false,null),new TN("2/complextype/PropertyRestrictionList.html","","http://www.endeca.com/MDEX/conversation/1/0","PropertyRestrictionList","none",false,null),new TN("2/complextype/RangeFilter.html","","http://www.endeca.com/MDEX/conversation/1/0","RangeFilter","none",false,null),new TN("2/complextype/RangeFilterBreadcrumb.html","","http://www.endeca.com/MDEX/conversation/1/0","RangeFilterBreadcrumb","none",false,null),new TN("2/complextype/Record.html","","http://www.endeca.com/MDEX/conversation/1/0","Record","none",false,null),new TN("2/complextype/RecordListEntry.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordListEntry","none",false,null),new TN("2/complextype/RecordRange.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordRange","none",false,null),new TN("2/complextype/RecordSelector.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordSelector","none",false,null),new TN("2/complextype/Refinement.html","","http://www.endeca.com/MDEX/conversation/1/0","Refinement","none",false,null),new TN("2/complextype/RefinementBreadcrumb.html","","http://www.endeca.com/MDEX/conversation/1/0","RefinementBreadcrumb","none",false,null),new TN("2/complextype/RefinementConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","RefinementConfig","none",false,null),new TN("2/complextype/RefinementGroupConfig.html","","http://www.endeca.com/MDEX/conversation/1/0","RefinementGroupConfig","none",false,null),new TN("2/complextype/Request.html","","http://www.endeca.com/MDEX/conversation/1/0","Request","none",false,null),new TN("2/complextype/ResultRecords.html","","http://www.endeca.com/MDEX/conversation/1/0","ResultRecords","none",false,null),new TN("2/complextype/Results.html","","http://www.endeca.com/MDEX/conversation/1/0","Results","none",false,null),new TN("2/complextype/SearchBreadcrumb.html","","http://www.endeca.com/MDEX/conversation/1/0","SearchBreadcrumb","none",false,null),new TN("2/complextype/SearchSnippet.html","","http://www.endeca.com/MDEX/conversation/1/0","SearchSnippet","none",false,null),new TN("2/complextype/SearchSnippets.html","","http://www.endeca.com/MDEX/conversation/1/0","SearchSnippets","none",false,null),new TN("2/complextype/SelectedRefinementFilter.html","","http://www.endeca.com/MDEX/conversation/1/0","SelectedRefinementFilter","none",false,null),new TN("2/complextype/Sort.html","","http://www.endeca.com/MDEX/conversation/1/0","Sort","none",false,new Array(new TN("2/complextype/SortControl.html","","http://www.endeca.com/MDEX/conversation/1/0","SortControl","restriction",false,null))),new TN("2/complextype/State.html","","http://www.endeca.com/MDEX/conversation/1/0","State","none",false,null),new TN("http://www.w3.org/TR/xmlschema-2/#string","","http://www.w3.org/2001/XMLSchema","string","none",true,new Array(new TN("2/complextype/DimensionValue.html","","http://www.endeca.com/MDEX/conversation/1/0","DimensionValue","restriction",false,new Array(new TN("2/complextype/DimensionValueWithName.html","","http://www.endeca.com/MDEX/conversation/1/0","DimensionValueWithName","extension",false,null))),new TN("2/simpletype/MultiSelect.html","","http://www.endeca.com/MDEX/conversation/1/0","MultiSelect","restriction",true,null),new TN("2/simpletype/NonEmptyString.html","","http://www.endeca.com/MDEX/conversation/1/0","NonEmptyString","restriction",true,new Array(new TN("2/complextype/Bound.html","","http://www.endeca.com/MDEX/conversation/1/0","Bound","restriction",false,null),new TN("2/complextype/RecordFilter.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordFilter","restriction",false,null),new TN("2/complextype/ResultValue.html","","http://www.endeca.com/MDEX/conversation/1/0","ResultValue","restriction",false,null),new TN("2/complextype/SearchFilter.html","","http://www.endeca.com/MDEX/conversation/1/0","SearchFilter","restriction",false,null))),new TN("2/simpletype/RecordKind.html","","http://www.endeca.com/MDEX/conversation/1/0","RecordKind","restriction",true,null),new TN("2/simpletype/SearchMode.html","","http://www.endeca.com/MDEX/conversation/1/0","SearchMode","restriction",true,null),new TN("2/simpletype/SortDirection.html","","http://www.endeca.com/MDEX/conversation/1/0","SortDirection","restriction",true,null))),new TN("2/complextype/SuggestedSearchAdjustment.html","","http://www.endeca.com/MDEX/conversation/1/0","SuggestedSearchAdjustment","none",false,null)));
typetreeNSMap ["http://www.endeca.com/MDEX/conversation/1/0"] = "2/index.html";
typetreeDB ["http://www.endeca.com/MDEX/lql_parser/types"] =  new T (new Array (new TN("1/complextype/Node.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","Node","none",false,new Array(new TN("1/complextype/CaseClause.html","","http://www.endeca.com/MDEX/lql_parser/types","CaseClause","extension",false,null),new TN("1/complextype/Depth.html","","http://www.endeca.com/MDEX/lql_parser/types","Depth","extension",false,null),new TN("1/complextype/Direction.html","","http://www.endeca.com/MDEX/lql_parser/types","Direction","extension",false,null),new TN("1/complextype/ElseClause.html","","http://www.endeca.com/MDEX/lql_parser/types","ElseClause","extension",false,null),new TN("1/complextype/ExpressionBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","ExpressionBase","restriction",false,new Array(new TN("1/complextype/AdditiveExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AdditiveExpression","extension",false,null),new TN("1/complextype/AndExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AndExpression","extension",false,null),new TN("1/complextype/AttributeRefExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AttributeRefExpression","extension",false,null),new TN("1/complextype/BetweenExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","BetweenExpression","extension",false,null),new TN("1/complextype/BooleanLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","BooleanLiteral","extension",false,null),new TN("1/complextype/CaseExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","CaseExpression","extension",false,null),new TN("1/complextype/ComparisonExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","ComparisonExpression","extension",false,null),new TN("1/complextype/ConstantKeyword.html","","http://www.endeca.com/MDEX/lql_parser/types","ConstantKeyword","extension",false,null),new TN("1/complextype/DoubleLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","DoubleLiteral","extension",false,null),new TN("1/complextype/FunctionCallExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","FunctionCallExpression","extension",false,null),new TN("1/complextype/InExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","InExpression","extension",false,null),new TN("1/complextype/IntegerLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","IntegerLiteral","extension",false,null),new TN("1/complextype/LookupExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","LookupExpression","extension",false,null),new TN("1/complextype/MultiplicativeExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","MultiplicativeExpression","extension",false,null),new TN("1/complextype/NotExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","NotExpression","extension",false,null),new TN("1/complextype/NullnessExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","NullnessExpression","extension",false,null),new TN("1/complextype/OrExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","OrExpression","extension",false,null),new TN("1/complextype/StringLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","StringLiteral","extension",false,null))),new TN("1/complextype/From.html","","http://www.endeca.com/MDEX/lql_parser/types","From","extension",false,null),new TN("1/complextype/GroupBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","GroupBase","extension",false,new Array(new TN("1/complextype/GroupAll.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupAll","extension",false,null),new TN("1/complextype/GroupByList.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupByList","extension",false,null))),new TN("1/complextype/GroupBy.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupBy","extension",false,null),new TN("1/complextype/Having.html","","http://www.endeca.com/MDEX/lql_parser/types","Having","extension",false,null),new TN("1/complextype/MetaVariable.html","","http://www.endeca.com/MDEX/lql_parser/types","MetaVariable","extension",false,null),new TN("1/complextype/OrderBy.html","","http://www.endeca.com/MDEX/lql_parser/types","OrderBy","restriction",false,null),new TN("1/complextype/OrderByList.html","","http://www.endeca.com/MDEX/lql_parser/types","OrderByList","restriction",false,null),new TN("1/complextype/PageBase.html","","http://www.endeca.com/MDEX/lql_parser/types","PageBase","restriction",false,new Array(new TN("1/complextype/Paging.html","","http://www.endeca.com/MDEX/lql_parser/types","Paging","extension",false,null),new TN("1/complextype/PagingPercent.html","","http://www.endeca.com/MDEX/lql_parser/types","PagingPercent","extension",false,null))),new TN("1/complextype/Query.html","","http://www.endeca.com/MDEX/lql_parser/types","Query","restriction",false,null),new TN("1/complextype/Select.html","","http://www.endeca.com/MDEX/lql_parser/types","Select","restriction",false,null),new TN("1/complextype/SourceBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","SourceBase","restriction",false,new Array(new TN("1/complextype/CrossJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","CrossJoin","extension",false,null),new TN("1/complextype/FullJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","FullJoin","extension",false,null),new TN("1/complextype/InnerJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","InnerJoin","extension",false,null),new TN("1/complextype/LeftJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","LeftJoin","extension",false,null),new TN("1/complextype/RightJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","RightJoin","extension",false,null),new TN("1/complextype/StatementSource.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementSource","extension",false,null))),new TN("1/complextype/StandaloneFilter.html","","http://www.endeca.com/MDEX/lql_parser/types","StandaloneFilter","restriction",false,null),new TN("1/complextype/Statement.html","","http://www.endeca.com/MDEX/lql_parser/types","Statement","restriction",false,null),new TN("1/complextype/StatementAlias.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementAlias","restriction",false,null),new TN("1/complextype/StatementQualifier.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementQualifier","restriction",false,null),new TN("1/complextype/Where.html","","http://www.endeca.com/MDEX/lql_parser/types","Where","restriction",false,null)))));
typetreeNSMap ["http://www.endeca.com/MDEX/lql_parser/types"] = "1/index.html";
								   


