﻿/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var xsd_tiFileName = "typeTreeIndex.html";
var xsd_nsFilterFileName = "nsFilter.html";

function TN (href, prefix, ns, name, relation, simpletypeflag, children) {
	this.href = href;
	this.prefix = prefix;
	this.namespace = ns;
	this.name = name;
	this.relation = relation;
	this.simpletypeflag = simpletypeflag;
	this.children = children;

	this.hasChild = (children != null) && (children.length>0);	
}

function T (typeTree)
{
	this.typeTree = typeTree;
}

function typetree_showAllTypes() {
	parent._xsdNsFilter = null;
	parent.index.location.href= "xsd/" + xsd_tiFileName;
}

function typetree_filterTypes () {
	parent._href = "xsd/" + xsd_tiFileName;
	window.open(xsd_nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");
}

function typetree_showTypes() {
	if (parent._xsdNsFilter == null) {
		typetree_setFilterToAll();
	}

	var nsList = parent._xsdNsFilter;
	var typetrees = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		typetrees [i] = typetreeDB [nsList[i]];	
		nss[i] = nsList[i];
	}		
	
	typetree_showTree (nss, typetrees); 
}

function typetree_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in typetreeDB) {
		if (parent._xsdNsFilter == null) {
			if (ns == "http://schemas.xmlsoap.org/soap/encoding/") {
				//NOOP
			} else {
				nsList[i] = ns;
				i++;
			}
		} else {
			nsList[i] = ns; 
			i++;		
		}
	}


	parent._xsdNsFilter = nsList;
}


function typetree_showTree (nsList, typetrees) {
	for (var i=0; i<nsList.length; i++) {
		var fpath = typetreeNSMap[nsList[i]];
		
		var str = '<div class="nsBox"><div class="itemNS">'+
			'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+fpath+
			'" title="'+encodeURI(nsList[i])+
			'" target="'+target+'">'+encodeURI(nsList[i])+'</a></nobr></div>'+
			'<div style="margin-left: 0.5em">';		

		document.write (str);

		typetree_outputList (typetrees[i].typeTree);
		

		document.write ('</div></div>');
	}
} 

function typetree_outputList (list) {
	for (var i=0; i<list.length; i++) {
		typetree_outputTree (list[i]);
	}
}

function typetree_outputTree (node) {
	if (node.hasChild == false) {
		typetree_outputLeaf (node);
	} else {
		typetree_outputNonLeaf (node);
	}
}


function typetree_outputLeaf (node) {
	var str = null;
	var nodeStr = null;

	if (node.prefix.length>0) {
		nodeStr = prefixedAnchorString(node)
	} else {
		nodeStr = anchorString (node)
	}

	str = '<span class="leaf"><nobr>' +
		  '<img src="img/leaf.gif" hspace="2" align="middle">' + 
		  nodeStr + '</nobr></span><br />';

	document.write (str);
}

function prefixedAnchorString (node) {
	return  '<a class="chref" href="'+node.href+
			'" target="'+target+ '"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+
			node.prefix+':'+'</a>'+
			'<a class="chref" href="'+node.href+'" target="'+target+ '"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+ node.name +
			'</a>'+typetree_getNodeIcon(node);
}

function anchorString (node) {
	return 	'<a class="chref" href="'+node.href+'" target="'+target+'"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+ node.name +
			'</a>'+typetree_getNodeIcon(node);

}

function typetree_outputNonLeaf (node) {
	var str = null;
	var nodeStr = null;

	if (node.prefix.length>0) {
		nodeStr = prefixedAnchorString(node);
	} else {
		nodeStr = anchorString (node);
	}
		
	str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			nodeStr +
			'</nobr></div>'+
			'<div style="margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		typetree_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function typetree_getNodeIcon(node) {
	var rStr = null;
	if (node.relation == "none") {
		rStr = "";
	} else if (node.relation == "extension") {
		rStr = '<img alt="derived by extension" border="0" hspace="2" align="middle" src="img/extension.gif">';
	
	} else if (node.relation == "restriction") {
		rStr = '<img alt="derived by restriction" border="0" hspace="2" align="middle" src="img/restriction.gif">';
	
	} else if (node.relation == "list") {
		rStr = '<img alt="derived by list" border="0" hspace="2" align="middle" src="img/list.gif">';
	
	} else if (node.relation == "union") {
		rStr = '<img alt="derived by union" border="0" hspace="2" align="middle" src="img/union.gif">';
	
	}
	
	var typeStr = null;
	
	if (node.simpletypeflag) {
		typeStr = '<img alt="simple type" border="0" hspace="2" align="middle" src="img/simple.gif">'; 
	} else {
		typeStr = '<img alt="complex type" border="0" hspace="2" align="middle" src="img/complex.gif">';	
	} 

	return typeStr + rStr;
}

var typetreeDB = new Array();
var typetreeNSMap = new Array();

typetreeDB ["http://www.endeca.com/MDEX/lql_parser/2/0"] =  new T (new Array (new TN("1/complextype/ParseFilter.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ParseFilter","none",false,null),new TN("1/complextype/ParseFilterResponse.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ParseFilterResponse","none",false,null),new TN("1/complextype/ParseQuery.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ParseQuery","none",false,null),new TN("1/complextype/ParseQueryResponse.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ParseQueryResponse","none",false,null),new TN("1/complextype/ParserFault.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ParserFault","none",false,null),new TN("http://www.w3.org/TR/xmlschema-2/#string","","http://www.w3.org/2001/XMLSchema","string","none",true,new Array(new TN("1/simpletype/NonEmptyString.html","","http://www.endeca.com/MDEX/lql_parser/2/0","NonEmptyString","restriction",true,null))),new TN("1/complextype/ValidateFilterAST.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ValidateFilterAST","none",false,null),new TN("1/complextype/ValidateFilterASTResponse.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ValidateFilterASTResponse","none",false,null),new TN("1/complextype/ValidateQueryAST.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ValidateQueryAST","none",false,null),new TN("1/complextype/ValidateQueryASTResponse.html","","http://www.endeca.com/MDEX/lql_parser/2/0","ValidateQueryASTResponse","none",false,null)));
typetreeNSMap ["http://www.endeca.com/MDEX/lql_parser/2/0"] = "1/index.html";
typetreeDB ["http://www.endeca.com/MDEX/lql_parser/types"] =  new T (new Array (new TN("2/complextype/Node.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","Node","none",false,new Array(new TN("2/complextype/CaseClause.html","","http://www.endeca.com/MDEX/lql_parser/types","CaseClause","extension",false,null),new TN("2/complextype/Depth.html","","http://www.endeca.com/MDEX/lql_parser/types","Depth","extension",false,null),new TN("2/complextype/Direction.html","","http://www.endeca.com/MDEX/lql_parser/types","Direction","extension",false,null),new TN("2/complextype/ElseClause.html","","http://www.endeca.com/MDEX/lql_parser/types","ElseClause","extension",false,null),new TN("2/complextype/ExpressionBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","ExpressionBase","restriction",false,new Array(new TN("2/complextype/AdditiveExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AdditiveExpression","extension",false,null),new TN("2/complextype/AndExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AndExpression","extension",false,null),new TN("2/complextype/AttributeRefExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","AttributeRefExpression","extension",false,null),new TN("2/complextype/BetweenExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","BetweenExpression","extension",false,null),new TN("2/complextype/BooleanLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","BooleanLiteral","extension",false,null),new TN("2/complextype/CaseExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","CaseExpression","extension",false,null),new TN("2/complextype/ComparisonExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","ComparisonExpression","extension",false,null),new TN("2/complextype/ConstantKeyword.html","","http://www.endeca.com/MDEX/lql_parser/types","ConstantKeyword","extension",false,null),new TN("2/complextype/DoubleLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","DoubleLiteral","extension",false,null),new TN("2/complextype/FunctionCallExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","FunctionCallExpression","extension",false,null),new TN("2/complextype/InExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","InExpression","extension",false,null),new TN("2/complextype/IntegerLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","IntegerLiteral","extension",false,null),new TN("2/complextype/LookupExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","LookupExpression","extension",false,null),new TN("2/complextype/MultiplicativeExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","MultiplicativeExpression","extension",false,null),new TN("2/complextype/NotExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","NotExpression","extension",false,null),new TN("2/complextype/NullnessExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","NullnessExpression","extension",false,null),new TN("2/complextype/OrExpression.html","","http://www.endeca.com/MDEX/lql_parser/types","OrExpression","extension",false,null),new TN("2/complextype/StringLiteral.html","","http://www.endeca.com/MDEX/lql_parser/types","StringLiteral","extension",false,null))),new TN("2/complextype/From.html","","http://www.endeca.com/MDEX/lql_parser/types","From","extension",false,null),new TN("2/complextype/GroupBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","GroupBase","extension",false,new Array(new TN("2/complextype/GroupAll.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupAll","extension",false,null),new TN("2/complextype/GroupByList.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupByList","extension",false,null))),new TN("2/complextype/GroupBy.html","","http://www.endeca.com/MDEX/lql_parser/types","GroupBy","extension",false,null),new TN("2/complextype/Having.html","","http://www.endeca.com/MDEX/lql_parser/types","Having","extension",false,null),new TN("2/complextype/MetaVariable.html","","http://www.endeca.com/MDEX/lql_parser/types","MetaVariable","extension",false,null),new TN("2/complextype/OrderBy.html","","http://www.endeca.com/MDEX/lql_parser/types","OrderBy","restriction",false,null),new TN("2/complextype/OrderByList.html","","http://www.endeca.com/MDEX/lql_parser/types","OrderByList","restriction",false,null),new TN("2/complextype/PageBase.html","","http://www.endeca.com/MDEX/lql_parser/types","PageBase","restriction",false,new Array(new TN("2/complextype/Paging.html","","http://www.endeca.com/MDEX/lql_parser/types","Paging","extension",false,null),new TN("2/complextype/PagingPercent.html","","http://www.endeca.com/MDEX/lql_parser/types","PagingPercent","extension",false,null))),new TN("2/complextype/Query.html","","http://www.endeca.com/MDEX/lql_parser/types","Query","restriction",false,null),new TN("2/complextype/Select.html","","http://www.endeca.com/MDEX/lql_parser/types","Select","restriction",false,null),new TN("2/complextype/SourceBase.html","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","SourceBase","restriction",false,new Array(new TN("2/complextype/CrossJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","CrossJoin","extension",false,null),new TN("2/complextype/FullJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","FullJoin","extension",false,null),new TN("2/complextype/InnerJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","InnerJoin","extension",false,null),new TN("2/complextype/LeftJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","LeftJoin","extension",false,null),new TN("2/complextype/RightJoin.html","","http://www.endeca.com/MDEX/lql_parser/types","RightJoin","extension",false,null),new TN("2/complextype/StatementSource.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementSource","extension",false,null))),new TN("2/complextype/StandaloneFilter.html","","http://www.endeca.com/MDEX/lql_parser/types","StandaloneFilter","restriction",false,null),new TN("2/complextype/Statement.html","","http://www.endeca.com/MDEX/lql_parser/types","Statement","restriction",false,null),new TN("2/complextype/StatementAlias.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementAlias","restriction",false,null),new TN("2/complextype/StatementQualifier.html","","http://www.endeca.com/MDEX/lql_parser/types","StatementQualifier","restriction",false,null),new TN("2/complextype/Where.html","","http://www.endeca.com/MDEX/lql_parser/types","Where","restriction",false,null)))));
typetreeNSMap ["http://www.endeca.com/MDEX/lql_parser/types"] = "2/index.html";
								   


