/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var ciFileName = "componentIndex.htm";
var nsFilterFileName = "nsFilter.htm";

function CN (href, name, appendNSFlag, children) {
	this.href = href;
	this.name = name;
	this.appendNSFlag = appendNSFlag;

	this.children = children;
	this.hasChild = (children != null) && (children.length>0);	
	
	this.namespace = null;
}

function C (attributeList, attributeGroupList,
						simpleTypeList, complexTypeList,
						modelGroupList, elementList, 
						notationList) 
{
	this.attributes = attributeList;
	this.attributegroups = attributeGroupList;
	this.simpletypes = simpleTypeList;
	this.complextypes = complexTypeList;
	this.modelgroups = modelGroupList;
	this.elements = elementList;
	this.notations = notationList;
}

function component_showAllComponents() {
	parent._nsFilter = null;
	parent.componentIndex.location.href=ciFileName;
}

function component_filterComponents () {
	parent._href = ciFileName;
	window.open(nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");

}

function component_groupByNS (flag) {
	parent._groupByNSFlag = flag;
	parent.componentIndex.location.href=ciFileName;	
}

function component_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in componentDB) {
		nsList[i] = ns; 		
		i++;
	}

	parent._nsFilter = nsList;
}

function component_showComponentsNoNS (nsList, componentList) {

	var components = new Array ();
	var n = 0;

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			components[n] = list[j];
			components[n].namespace = namespace;
			n++;	
		}	
	}
	
	components = components.sort(function (n1,n2) {return n1.name.toLowerCase().localeCompare (n2.name.toLowerCase());});

	component_outputList (null, components);	
}


function component_showComponentsNS (nsList, componentList) {

	for (var i=0; i<componentList.length; i++) {
		var list = componentList [i];
		var namespace = nsList[i];

		if (list == null) {
			continue;
		}
	
		for (var j=0; j<list.length; j++) {
			list[j].namespace = namespace;
		}	

		component_outputList (namespace, list);	
	}
}


function component_showComponents (nsList, componentList) {
	if (parent._groupByNSFlag) {
		component_showComponentsNS (nsList, componentList)
	} else {
		component_showComponentsNoNS (nsList, componentList)
	}
}

function component_showAttributes() {
	if (parent._nsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._nsFilter;
	var attributes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		attributes [i] = componentDB [nsList[i]].attributes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributes);
}

function component_showAttributeGroups() {
	if (parent._nsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._nsFilter;
	var attributegroups = new Array();
	var nss = new Array();		

	for (var i=0; i<nsList.length; i++) {
		attributegroups [i] = componentDB [nsList[i]].attributegroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, attributegroups);
}

function component_showSimpleTypes() {
	if (parent._nsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._nsFilter;
	var simpletypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		simpletypes [i] = componentDB [nsList[i]].simpletypes;	
		nss [i] = nsList[i];
	}		

	component_showComponents (nss, simpletypes);
}

function component_showComplexTypes() {
	if (parent._nsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._nsFilter;
	var complextypes = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		complextypes [i] = componentDB [nsList[i]].complextypes;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, complextypes);
}

function component_showElements() {
	if (parent._nsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._nsFilter;
	var elements = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		elements [i] = componentDB [nsList[i]].elements;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, elements);
}

function component_showModelGroups() {
	if (parent._nsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._nsFilter;
	var modelgroups = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		modelgroups [i] = componentDB [nsList[i]].modelgroups;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, modelgroups);
}

function component_showNotations() {
	if (parent._nsFilter == null) {
		component_setFilterToAll();		
	}
	
	var nsList = parent._nsFilter;
	var notations = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		notations [i] = componentDB [nsList[i]].notations;	
		nss[i] = nsList[i];
	}		

	component_showComponents (nss, notations);

}


function component_getNodeText(node) {
	if (node.appendNSFlag) {
		return node.name + "("+encodeURI(node.namespace)+")";
	} else {
		return node.name;
	} 
}

function component_outputLeaf (node) {
	var str = '<span class="leaf">'+
			  '<nobr><img src="img/leaf.gif" hspace="2" align="middle">'+
			  '<a class="chref" href="'+node.href+
			  '" title="'+component_getNodeText(node)+
			  '" target="'+target+'">'+component_getNodeText(node)+'</a></nobr>'+
			  '</span><br />'
	
	document.write (str);
}

function component_outputNonLeaf (node) {
	//initially, the childnodes are hidden

	var str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/plus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+node.href+
			'" title="'+component_getNodeText(node)+
			'" target="'+target+'">'+component_getNodeText(node)+'</a></nobr></div>'+
			'<div style="display:none;margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		component_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function component_outputTree (node) {
	if (node.hasChild == false) {
		component_outputLeaf (node);
	} else {
		component_outputNonLeaf (node);
	}
}

function component_outputList (ns, list) {	
	
	if (list == null || list.length<=0) {
		return;
	}

	if (parent._groupByNSFlag) {
		var fpath = componentNSMap[ns];

		var str = '<div class="nsBox"><div class="itemNS">'+
				'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
				'<a class="chref" href="'+fpath+
				'" title="'+encodeURI(ns)+
				'" target="'+target+'">'+encodeURI(ns)+'</a></nobr></div>'+
				'<div style="margin-left: 0.5em">';

		document.write (str);
	}

	for (var i=0; i<list.length; i++) {
		component_outputTree (list[i]);
	}
	
	if (parent._groupByNSFlag) {
		document.write ('</div></div>');
	}
}


var componentDB = new Array();
var componentNSMap = new Array();

componentDB ["http://www.endeca.com/MDEX/lql_parser/types"] =  new C (new Array(),
					new Array(),
					new Array(),
					new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/AdditiveExpression.htm#complexTypeDefinition_AdditiveExpression","AdditiveExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_leftOperand0.htm#localElementDeclaration_leftOperand","leftOperand",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_rightOperand0.htm#localElementDeclaration_rightOperand","rightOperand",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/AndExpression.htm#complexTypeDefinition_AndExpression","AndExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_leftOperand1.htm#localElementDeclaration_leftOperand","leftOperand",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_rightOperand1.htm#localElementDeclaration_rightOperand","rightOperand",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/AttributeRefExpression.htm#complexTypeDefinition_AttributeRefExpression","AttributeRefExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_statementQualifier0.htm#localElementDeclaration_statementQualifier","statementQualifier",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/BetweenExpression.htm#complexTypeDefinition_BetweenExpression","BetweenExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_operand0.htm#localElementDeclaration_operand","operand",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_lowerBoundNotStrict0.htm#localElementDeclaration_lowerBoundNotStrict","lowerBoundNotStrict",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_upperBoundStrict0.htm#localElementDeclaration_upperBoundStrict","upperBoundStrict",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/BooleanLiteral.htm#complexTypeDefinition_BooleanLiteral","BooleanLiteral",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/CaseClause.htm#complexTypeDefinition_CaseClause","CaseClause",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_condition0.htm#localElementDeclaration_condition","condition",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_consequent0.htm#localElementDeclaration_consequent","consequent",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/CaseExpression.htm#complexTypeDefinition_CaseExpression","CaseExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_CaseExpression_clauses0.htm#localElementDeclaration_clauses","clauses",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_elseClause0.htm#localElementDeclaration_elseClause","elseClause",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/ComparisonExpression.htm#complexTypeDefinition_ComparisonExpression","ComparisonExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_leftOperand2.htm#localElementDeclaration_leftOperand","leftOperand",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_rightOperand2.htm#localElementDeclaration_rightOperand","rightOperand",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/ConstantKeyword.htm#complexTypeDefinition_ConstantKeyword","ConstantKeyword",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/CrossJoin.htm#complexTypeDefinition_CrossJoin","CrossJoin",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_leftChild0.htm#localElementDeclaration_leftChild","leftChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_rightChild0.htm#localElementDeclaration_rightChild","rightChild",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Depth.htm#complexTypeDefinition_Depth","Depth",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Direction.htm#complexTypeDefinition_Direction","Direction",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/DoubleLiteral.htm#complexTypeDefinition_DoubleLiteral","DoubleLiteral",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/ElseClause.htm#complexTypeDefinition_ElseClause","ElseClause",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_ElseClause_consequent0.htm#localElementDeclaration_consequent","consequent",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/ExpressionBase.htm#complexTypeDefinition_ExpressionBase","ExpressionBase",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/From.htm#complexTypeDefinition_From","From",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_source0.htm#localElementDeclaration_source","source",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/FullJoin.htm#complexTypeDefinition_FullJoin","FullJoin",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_leftChild1.htm#localElementDeclaration_leftChild","leftChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_rightChild1.htm#localElementDeclaration_rightChild","rightChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_FullJoin_condition0.htm#localElementDeclaration_condition","condition",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/FunctionCallExpression.htm#complexTypeDefinition_FunctionCallExpression","FunctionCallExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_FunctionCallExpression_arguments0.htm#localElementDeclaration_arguments","arguments",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_where0.htm#localElementDeclaration_where","where",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/GroupAll.htm#complexTypeDefinition_GroupAll","GroupAll",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/GroupBase.htm#complexTypeDefinition_GroupBase","GroupBase",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/GroupBy.htm#complexTypeDefinition_GroupBy","GroupBy",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_GroupBy_depth0.htm#localElementDeclaration_depth","depth",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/GroupByList.htm#complexTypeDefinition_GroupByList","GroupByList",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_GroupByList_groupBys0.htm#localElementDeclaration_groupBys","groupBys",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Having.htm#complexTypeDefinition_Having","Having",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Having_filter0.htm#localElementDeclaration_filter","filter",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/InExpression.htm#complexTypeDefinition_InExpression","InExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_InExpression_lookupValues0.htm#localElementDeclaration_lookupValues","lookupValues",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/InnerJoin.htm#complexTypeDefinition_InnerJoin","InnerJoin",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_leftChild2.htm#localElementDeclaration_leftChild","leftChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_rightChild2.htm#localElementDeclaration_rightChild","rightChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_InnerJoin_condition0.htm#localElementDeclaration_condition","condition",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/IntegerLiteral.htm#complexTypeDefinition_IntegerLiteral","IntegerLiteral",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/LeftJoin.htm#complexTypeDefinition_LeftJoin","LeftJoin",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_leftChild3.htm#localElementDeclaration_leftChild","leftChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_rightChild3.htm#localElementDeclaration_rightChild","rightChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_LeftJoin_condition0.htm#localElementDeclaration_condition","condition",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/LookupExpression.htm#complexTypeDefinition_LookupExpression","LookupExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_LookupExpression_lookupValues0.htm#localElementDeclaration_lookupValues","lookupValues",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/MetaVariable.htm#complexTypeDefinition_MetaVariable","MetaVariable",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/MultiplicativeExpression.htm#complexTypeDefinition_MultiplicativeExpression","MultiplicativeExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_MultiplicativeExpression_leftOperand0.htm#localElementDeclaration_leftOperand","leftOperand",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_MultiplicativeExpression_rightOperand0.htm#localElementDeclaration_rightOperand","rightOperand",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Node.htm#complexTypeDefinition_Node","Node",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/NotExpression.htm#complexTypeDefinition_NotExpression","NotExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_NotExpression_operand0.htm#localElementDeclaration_operand","operand",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/NullnessExpression.htm#complexTypeDefinition_NullnessExpression","NullnessExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_NullnessExpression_operand0.htm#localElementDeclaration_operand","operand",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/OrderBy.htm#complexTypeDefinition_OrderBy","OrderBy",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_OrderBy_direction0.htm#localElementDeclaration_direction","direction",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/OrderByList.htm#complexTypeDefinition_OrderByList","OrderByList",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_OrderByList_orderBys0.htm#localElementDeclaration_orderBys","orderBys",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/OrExpression.htm#complexTypeDefinition_OrExpression","OrExpression",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_OrExpression_leftOperand0.htm#localElementDeclaration_leftOperand","leftOperand",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_OrExpression_rightOperand0.htm#localElementDeclaration_rightOperand","rightOperand",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/PageBase.htm#complexTypeDefinition_PageBase","PageBase",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Paging.htm#complexTypeDefinition_Paging","Paging",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/PagingPercent.htm#complexTypeDefinition_PagingPercent","PagingPercent",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Query.htm#complexTypeDefinition_Query","Query",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_statements0.htm#localElementDeclaration_statements","statements",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/RightJoin.htm#complexTypeDefinition_RightJoin","RightJoin",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_leftChild4.htm#localElementDeclaration_leftChild","leftChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_rightChild4.htm#localElementDeclaration_rightChild","rightChild",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_RightJoin_condition0.htm#localElementDeclaration_condition","condition",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Select.htm#complexTypeDefinition_Select","Select",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Select_expression0.htm#localElementDeclaration_expression","expression",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/SourceBase.htm#complexTypeDefinition_SourceBase","SourceBase",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StandaloneFilter.htm#complexTypeDefinition_StandaloneFilter","StandaloneFilter",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_StandaloneFilter_filter0.htm#localElementDeclaration_filter","filter",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Statement.htm#complexTypeDefinition_Statement","Statement",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Statement_selects0.htm#localElementDeclaration_selects","selects",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Statement_from0.htm#localElementDeclaration_from","from",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Statement_where0.htm#localElementDeclaration_where","where",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Statement_group0.htm#localElementDeclaration_group","group",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Statement_having0.htm#localElementDeclaration_having","having",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Statement_order0.htm#localElementDeclaration_order","order",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Statement_paging0.htm#localElementDeclaration_paging","paging",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StatementAlias.htm#complexTypeDefinition_StatementAlias","StatementAlias",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StatementQualifier.htm#complexTypeDefinition_StatementQualifier","StatementQualifier",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StatementSource.htm#complexTypeDefinition_StatementSource","StatementSource",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_StatementSource_alias0.htm#localElementDeclaration_alias","alias",false,null))),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StringLiteral.htm#complexTypeDefinition_StringLiteral","StringLiteral",false,null),new CN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Where.htm#complexTypeDefinition_Where","Where",false,new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/0_Where_filter0.htm#localElementDeclaration_filter","filter",false,null)))),
					new Array(),
					new Array(new CN("http___www_endeca_com_MDEX_lql_parser_types/element/queryWrapper.htm#elementDeclaration_queryWrapper","queryWrapper",false,null)),
					new Array());

componentNSMap ["http://www.endeca.com/MDEX/lql_parser/types"] = "http___www_endeca_com_MDEX_lql_parser_types/index.htm";
								   


