/**
 *
 * Copyright (c) 2002-2004 Bluetetra Software.  All rights reserved.
 *
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL BLUETETRA SOFTWARE BE LIABLE FOR 
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE 
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN 
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 * http://www.bluetetra.com
 *
 */

var target = "content";
var tiFileName = "typeTreeIndex.htm";
var nsFilterFileName = "nsFilter.htm";

function TN (href, prefix, ns, name, relation, simpletypeflag, children) {
	this.href = href;
	this.prefix = prefix;
	this.namespace = ns;
	this.name = name;
	this.relation = relation;
	this.simpletypeflag = simpletypeflag;
	this.children = children;

	this.hasChild = (children != null) && (children.length>0);	
}

function T (typeTree)
{
	this.typeTree = typeTree;
}

function typetree_showAllTypes() {
	parent._nsFilter = null;
	parent.componentIndex.location.href= tiFileName;
}

function typetree_filterTypes () {
	parent._href = tiFileName;
	window.open(nsFilterFileName, "_blank", 
		"height=200,width=400,location=no,menubar=no,scrollbars=yes,status=yes,resizable=yes,toolbar=no");
}

function typetree_showTypes() {
	if (parent._nsFilter == null) {
		typetree_setFilterToAll();
	}

	var nsList = parent._nsFilter;
	var typetrees = new Array();
	var nss = new Array();

	for (var i=0; i<nsList.length; i++) {
		typetrees [i] = typetreeDB [nsList[i]];	
		nss[i] = nsList[i];
	}		
	
	typetree_showTree (nss, typetrees); 
}

function typetree_setFilterToAll() {
	var nsList = new Array();
	var i = 0;

	for (var ns in typetreeDB) {
		nsList[i] = ns; 		
		i++;
	}

	parent._nsFilter = nsList;
}


function typetree_showTree (nsList, typetrees) {
	for (var i=0; i<nsList.length; i++) {
		var fpath = typetreeNSMap[nsList[i]];
		
		var str = '<div class="nsBox"><div class="itemNS">'+
			'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			'<a class="chref" href="'+fpath+
			'" title="'+encodeURI(nsList[i])+
			'" target="'+target+'">'+encodeURI(nsList[i])+'</a></nobr></div>'+
			'<div style="margin-left: 0.5em">';		

		document.write (str);

		typetree_outputList (typetrees[i].typeTree);
		

		document.write ('</div></div>');
	}
} 

function typetree_outputList (list) {
	for (var i=0; i<list.length; i++) {
		typetree_outputTree (list[i]);
	}
}

function typetree_outputTree (node) {
	if (node.hasChild == false) {
		typetree_outputLeaf (node);
	} else {
		typetree_outputNonLeaf (node);
	}
}


function typetree_outputLeaf (node) {
	var str = null;
	var nodeStr = null;

	if (node.prefix.length>0) {
		nodeStr = prefixedAnchorString(node)
	} else {
		nodeStr = anchorString (node)
	}

	str = '<span class="leaf"><nobr>' +
		  '<img src="img/leaf.gif" hspace="2" align="middle">' + 
		  nodeStr + '</nobr></span><br />';

	document.write (str);
}

function prefixedAnchorString (node) {
	return  '<a class="chref" href="'+node.href+
			'" target="'+target+ '"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+
			node.prefix+':'+'</a>'+
			'<a class="chref" href="'+node.href+'" target="'+target+ '"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+ node.name +
			'</a>'+typetree_getNodeIcon(node);
}

function anchorString (node) {
	return 	'<a class="chref" href="'+node.href+'" target="'+target+'"'+
			' title="ns=' + encodeURI(node.namespace)+'">'+ node.name +
			'</a>'+typetree_getNodeIcon(node);

}

function typetree_outputNonLeaf (node) {
	var str = null;
	var nodeStr = null;

	if (node.prefix.length>0) {
		nodeStr = prefixedAnchorString(node);
	} else {
		nodeStr = anchorString (node);
	}
		
	str = '<div><div class="nonleaf">'+
			'<nobr><img style="cursor: pointer" src="img/minus.gif" hspace="2" align="middle" onclick="IClick(this)">'+
			nodeStr +
			'</nobr></div>'+
			'<div style="margin-left: 0.8em">';

	document.write (str);

	var childs = node.children;
	for (var i=0; i<childs.length; i++) {
		typetree_outputTree (childs[i]);
	}					

	document.write ('</div></div>');
}

function typetree_getNodeIcon(node) {
	var rStr = null;
	if (node.relation == "none") {
		rStr = "";
	} else if (node.relation == "extension") {
		rStr = '<img alt="derived by extension" border="0" hspace="2" align="middle" src="img/extension.gif">';
	
	} else if (node.relation == "restriction") {
		rStr = '<img alt="derived by restriction" border="0" hspace="2" align="middle" src="img/restriction.gif">';
	
	} else if (node.relation == "list") {
		rStr = '<img alt="derived by list" border="0" hspace="2" align="middle" src="img/list.gif">';
	
	} else if (node.relation == "union") {
		rStr = '<img alt="derived by union" border="0" hspace="2" align="middle" src="img/union.gif">';
	
	}
	
	var typeStr = null;
	
	if (node.simpletypeflag) {
		typeStr = '<img alt="simple type" border="0" hspace="2" align="middle" src="img/simple.gif">'; 
	} else {
		typeStr = '<img alt="complex type" border="0" hspace="2" align="middle" src="img/complex.gif">';	
	} 

	return typeStr + rStr;
}

var typetreeDB = new Array();
var typetreeNSMap = new Array();

typetreeDB ["http://www.endeca.com/MDEX/lql_parser/types"] =  new T (new Array (new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Node.htm#complexTypeDefinition_Node","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","Node","none",false,new Array(new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/CaseClause.htm#complexTypeDefinition_CaseClause","","http://www.endeca.com/MDEX/lql_parser/types","CaseClause","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Depth.htm#complexTypeDefinition_Depth","","http://www.endeca.com/MDEX/lql_parser/types","Depth","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Direction.htm#complexTypeDefinition_Direction","","http://www.endeca.com/MDEX/lql_parser/types","Direction","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/ElseClause.htm#complexTypeDefinition_ElseClause","","http://www.endeca.com/MDEX/lql_parser/types","ElseClause","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/ExpressionBase.htm#complexTypeDefinition_ExpressionBase","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","ExpressionBase","restriction",false,new Array(new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/AdditiveExpression.htm#complexTypeDefinition_AdditiveExpression","","http://www.endeca.com/MDEX/lql_parser/types","AdditiveExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/AndExpression.htm#complexTypeDefinition_AndExpression","","http://www.endeca.com/MDEX/lql_parser/types","AndExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/AttributeRefExpression.htm#complexTypeDefinition_AttributeRefExpression","","http://www.endeca.com/MDEX/lql_parser/types","AttributeRefExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/BetweenExpression.htm#complexTypeDefinition_BetweenExpression","","http://www.endeca.com/MDEX/lql_parser/types","BetweenExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/BooleanLiteral.htm#complexTypeDefinition_BooleanLiteral","","http://www.endeca.com/MDEX/lql_parser/types","BooleanLiteral","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/CaseExpression.htm#complexTypeDefinition_CaseExpression","","http://www.endeca.com/MDEX/lql_parser/types","CaseExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/ComparisonExpression.htm#complexTypeDefinition_ComparisonExpression","","http://www.endeca.com/MDEX/lql_parser/types","ComparisonExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/ConstantKeyword.htm#complexTypeDefinition_ConstantKeyword","","http://www.endeca.com/MDEX/lql_parser/types","ConstantKeyword","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/DoubleLiteral.htm#complexTypeDefinition_DoubleLiteral","","http://www.endeca.com/MDEX/lql_parser/types","DoubleLiteral","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/FunctionCallExpression.htm#complexTypeDefinition_FunctionCallExpression","","http://www.endeca.com/MDEX/lql_parser/types","FunctionCallExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/InExpression.htm#complexTypeDefinition_InExpression","","http://www.endeca.com/MDEX/lql_parser/types","InExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/IntegerLiteral.htm#complexTypeDefinition_IntegerLiteral","","http://www.endeca.com/MDEX/lql_parser/types","IntegerLiteral","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/LookupExpression.htm#complexTypeDefinition_LookupExpression","","http://www.endeca.com/MDEX/lql_parser/types","LookupExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/MultiplicativeExpression.htm#complexTypeDefinition_MultiplicativeExpression","","http://www.endeca.com/MDEX/lql_parser/types","MultiplicativeExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/NotExpression.htm#complexTypeDefinition_NotExpression","","http://www.endeca.com/MDEX/lql_parser/types","NotExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/NullnessExpression.htm#complexTypeDefinition_NullnessExpression","","http://www.endeca.com/MDEX/lql_parser/types","NullnessExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/OrExpression.htm#complexTypeDefinition_OrExpression","","http://www.endeca.com/MDEX/lql_parser/types","OrExpression","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StringLiteral.htm#complexTypeDefinition_StringLiteral","","http://www.endeca.com/MDEX/lql_parser/types","StringLiteral","extension",false,null))),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/From.htm#complexTypeDefinition_From","","http://www.endeca.com/MDEX/lql_parser/types","From","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/GroupBase.htm#complexTypeDefinition_GroupBase","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","GroupBase","extension",false,new Array(new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/GroupAll.htm#complexTypeDefinition_GroupAll","","http://www.endeca.com/MDEX/lql_parser/types","GroupAll","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/GroupByList.htm#complexTypeDefinition_GroupByList","","http://www.endeca.com/MDEX/lql_parser/types","GroupByList","extension",false,null))),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/GroupBy.htm#complexTypeDefinition_GroupBy","","http://www.endeca.com/MDEX/lql_parser/types","GroupBy","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Having.htm#complexTypeDefinition_Having","","http://www.endeca.com/MDEX/lql_parser/types","Having","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/MetaVariable.htm#complexTypeDefinition_MetaVariable","","http://www.endeca.com/MDEX/lql_parser/types","MetaVariable","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/OrderBy.htm#complexTypeDefinition_OrderBy","","http://www.endeca.com/MDEX/lql_parser/types","OrderBy","restriction",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/OrderByList.htm#complexTypeDefinition_OrderByList","","http://www.endeca.com/MDEX/lql_parser/types","OrderByList","restriction",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/PageBase.htm#complexTypeDefinition_PageBase","","http://www.endeca.com/MDEX/lql_parser/types","PageBase","restriction",false,new Array(new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Paging.htm#complexTypeDefinition_Paging","","http://www.endeca.com/MDEX/lql_parser/types","Paging","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/PagingPercent.htm#complexTypeDefinition_PagingPercent","","http://www.endeca.com/MDEX/lql_parser/types","PagingPercent","extension",false,null))),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Query.htm#complexTypeDefinition_Query","","http://www.endeca.com/MDEX/lql_parser/types","Query","restriction",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Select.htm#complexTypeDefinition_Select","","http://www.endeca.com/MDEX/lql_parser/types","Select","restriction",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/SourceBase.htm#complexTypeDefinition_SourceBase","lql_parser_types","http://www.endeca.com/MDEX/lql_parser/types","SourceBase","restriction",false,new Array(new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/CrossJoin.htm#complexTypeDefinition_CrossJoin","","http://www.endeca.com/MDEX/lql_parser/types","CrossJoin","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/FullJoin.htm#complexTypeDefinition_FullJoin","","http://www.endeca.com/MDEX/lql_parser/types","FullJoin","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/InnerJoin.htm#complexTypeDefinition_InnerJoin","","http://www.endeca.com/MDEX/lql_parser/types","InnerJoin","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/LeftJoin.htm#complexTypeDefinition_LeftJoin","","http://www.endeca.com/MDEX/lql_parser/types","LeftJoin","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/RightJoin.htm#complexTypeDefinition_RightJoin","","http://www.endeca.com/MDEX/lql_parser/types","RightJoin","extension",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StatementSource.htm#complexTypeDefinition_StatementSource","","http://www.endeca.com/MDEX/lql_parser/types","StatementSource","extension",false,null))),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StandaloneFilter.htm#complexTypeDefinition_StandaloneFilter","","http://www.endeca.com/MDEX/lql_parser/types","StandaloneFilter","restriction",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Statement.htm#complexTypeDefinition_Statement","","http://www.endeca.com/MDEX/lql_parser/types","Statement","restriction",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StatementAlias.htm#complexTypeDefinition_StatementAlias","","http://www.endeca.com/MDEX/lql_parser/types","StatementAlias","restriction",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/StatementQualifier.htm#complexTypeDefinition_StatementQualifier","","http://www.endeca.com/MDEX/lql_parser/types","StatementQualifier","restriction",false,null),new TN("http___www_endeca_com_MDEX_lql_parser_types/complextype/Where.htm#complexTypeDefinition_Where","","http://www.endeca.com/MDEX/lql_parser/types","Where","restriction",false,null)))));
typetreeNSMap ["http://www.endeca.com/MDEX/lql_parser/types"] = "http___www_endeca_com_MDEX_lql_parser_types/index.htm";
								   


